ch.qos.logback.classic.jmx

## Interface JMXConfiguratorMBean

All Known Implementing Classes:
  JMXConfigurator

    public interface JMXConfiguratorMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLoggerEffectiveLevel(String loggerName)`
`String` `getLoggerLevel(String loggerName)`
`List<String>` `getLoggerList()`
`List<String>` `getStatuses()`
`void` `reloadByFileName(String fileName)`
`void` `reloadByURL(URL url)`
`void` `reloadDefaultConfiguration()`
`void` `setLoggerLevel(String loggerName, String levelStr)`

### Method Detail

#### reloadDefaultConfiguration

    void reloadDefaultConfiguration()
                             throws JoranException

Throws:
  `JoranException`

#### reloadByFileName

    void reloadByFileName(String fileName)
                   throws JoranException,
                          FileNotFoundException

Throws:
  `JoranException`
  `FileNotFoundException`

#### reloadByURL

    void reloadByURL(URL url)
              throws JoranException

Throws:
  `JoranException`

#### setLoggerLevel

    void setLoggerLevel(String loggerName,
                        String levelStr)

#### getLoggerLevel

    String getLoggerLevel(String loggerName)

#### getLoggerEffectiveLevel

    String getLoggerEffectiveLevel(String loggerName)

#### getLoggerList

    List<String> getLoggerList()

#### getStatuses

    List<String> getStatuses()